com.google.gwt.dom.client

## Class DOMImplIE8

- java.lang.Object
- - com.google.gwt.dom.client.DOMImpl
  - - com.google.gwt.dom.client.DOMImplTrident
    - - com.google.gwt.dom.client.DOMImplIE8

    class DOMImplIE8
    extends DOMImplTrident

### Field Summary

### Fields inherited from class com.google.gwt.dom.client.DOMImpl

`impl`

### Constructor Summary

Constructors
Constructor and Description
`DOMImplIE8()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `cssClearOpacity(Style style)`
`void` `cssSetOpacity(Style style, double value)`
`int` `getAbsoluteLeft(Element elem)`
`int` `getAbsoluteTop(Element elem)`
`int` `getScrollLeft(Element elem)`
`(package private) static boolean` `isIE8()` Check if the browser is IE8 or IE9.
`void` `setScrollLeft(Element elem, int left)`

### Methods inherited from class com.google.gwt.dom.client.DOMImplTrident

`createButtonElement, createElement, createHtmlEvent, createInputRadioElement, createKeyCodeEvent, createKeyEvent, createKeyPressEvent, createMouseEvent, cssFloatPropertyName, dispatchEvent, eventGetCharCode, eventGetCurrentTarget, eventGetMouseWheelVelocityY, eventGetRelatedTarget, eventGetTarget, eventPreventDefault, eventStopPropagation, eventToString, getAttribute, getBodyOffsetLeft, getBodyOffsetTop, getBoundingClientRectLeft, getBoundingClientRectTop, getInnerText, getNumericStyleProperty, getTagName, hasAttribute, isOrHasChild, isOrHasChildImpl, isRTL, selectAdd, setInnerText`

### Methods inherited from class com.google.gwt.dom.client.DOMImpl

`buttonClick, createCheckInputElement, createInputElement, createScriptElement, eventGetAltKey, eventGetButton, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetKeyCode, eventGetMetaKey, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, getChangedTouches, getDocumentScrollingElement, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNodeType, getParentElement, getPreviousSiblingElement, getScrollLeft, getScrollTop, getStyleProperty, getTabIndex, getTargetTouches, getTouches, scrollIntoView, selectClear, selectGetLength, selectGetOptions, selectRemoveOption, setDraggable, setScrollLeft, setScrollTop, toInt32, toString, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMImplIE8

    DOMImplIE8()

### Method Detail

#### isIE8

    static boolean isIE8()

Check if the browser is IE8 or IE9.

Returns:
  `true` if the browser is IE8, `false` if IE9 or any other browser

#### cssClearOpacity

    public void cssClearOpacity(Style style)

Overrides:
  `cssClearOpacity` in class `DOMImpl`

#### cssSetOpacity

    public void cssSetOpacity(Style style,
                              double value)

Overrides:
  `cssSetOpacity` in class `DOMImpl`

#### getAbsoluteLeft

    public int getAbsoluteLeft(Element elem)

Overrides:
  `getAbsoluteLeft` in class `DOMImpl`

#### getAbsoluteTop

    public int getAbsoluteTop(Element elem)

Overrides:
  `getAbsoluteTop` in class `DOMImpl`

#### getScrollLeft

    public int getScrollLeft(Element elem)

Overrides:
  `getScrollLeft` in class `DOMImpl`

#### setScrollLeft

    public void setScrollLeft(Element elem,
                              int left)

Overrides:
  `setScrollLeft` in class `DOMImpl`